[jbossws-commits] JBossWS SVN: r3654 - in branches/jbossws-2.0: build/ant-import and 6 other directories.

jbossws-commits at lists.jboss.org jbossws-commits at lists.jboss.org
Wed Jun 20 06:31:17 EDT 2007


Author: heiko.braun at jboss.com
Date: 2007-06-20 06:31:17 -0400 (Wed, 20 Jun 2007)
New Revision: 3654

Added:
   branches/jbossws-2.0/build/build.bat
   branches/jbossws-2.0/build/build.conf.example
   branches/jbossws-2.0/build/build.sh
   branches/jbossws-2.0/integration/native/build.bat
   branches/jbossws-2.0/integration/native/build.sh
   branches/jbossws-2.0/integration/spi/build.bat
   branches/jbossws-2.0/integration/spi/build.sh
   branches/jbossws-2.0/jbossws-core/build.bat
   branches/jbossws-2.0/jbossws-core/build.sh
Modified:
   branches/jbossws-2.0/build/ant-import/build-testsuite.xml
   branches/jbossws-2.0/build/ant.properties.example
   branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml
   branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml
   branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml
Log:
Added build.sh to main modules

Modified: branches/jbossws-2.0/build/ant-import/build-testsuite.xml
===================================================================
--- branches/jbossws-2.0/build/ant-import/build-testsuite.xml	2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/build/ant-import/build-testsuite.xml	2007-06-20 10:31:17 UTC (rev 3654)
@@ -108,6 +108,7 @@
       <pathelement location="${jboss.client}/jboss-logging-spi.jar"/>
       <pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
       <pathelement location="${jboss.client}/mail.jar"/>
+		<pathelement location="${jboss.client}/wsdl4j.jar"/>
       <pathelement location="${jboss.server.lib}/jboss-javaee.jar"/>
       <pathelement location="${jboss.server.lib}/jbosssx.jar"/>
       <pathelement location="${jboss.server.lib}/servlet-api.jar"/>
@@ -146,6 +147,7 @@
       <pathelement location="${jboss.client}/jboss-j2ee.jar"/>
       <pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
       <pathelement location="${jboss.client}/mail.jar"/>
+		<pathelement location="${jboss.client}/wsdl4j.jar"/>
       <pathelement location="${jboss.client}/stax-api.jar"/>
       <pathelement location="${jboss.client}/jbosssx-client.jar"/>
       <pathelement location="${jboss.server.lib}/servlet-api.jar"/>
@@ -180,6 +182,7 @@
       <pathelement location="${jboss.client}/jboss-j2ee.jar"/>
       <pathelement location="${jboss.client}/jboss-xml-binding.jar"/>
       <pathelement location="${jboss.client}/mail.jar"/>
+		<pathelement location="${jboss.client}/wsdl4j.jar"/>		
       <pathelement location="${jboss.client}/stax-api.jar"/>
       <pathelement location="${jboss.client}/jbosssx-client.jar"/>
       <pathelement location="${jboss.server.lib}/javax.servlet.jar"/>

Modified: branches/jbossws-2.0/build/ant.properties.example
===================================================================
--- branches/jbossws-2.0/build/ant.properties.example	2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/build/ant.properties.example	2007-06-20 10:31:17 UTC (rev 3654)
@@ -54,6 +54,9 @@
 # Force thirdparty HTTP get
 #force.thirdparty.get=true
 
+# JDK settings
+jdk6.home=/opt/jdk1.6.0_01
+
 # Java Compiler options
 javac.debug=yes
 javac.deprecation=no

Added: branches/jbossws-2.0/build/build.bat
===================================================================
--- branches/jbossws-2.0/build/build.bat	                        (rev 0)
+++ branches/jbossws-2.0/build/build.bat	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+ at echo off
+
+REM  ======================================================================
+REM
+REM  This is the main entry point for the build system.
+REM
+REM  Users should be sure to execute this file rather than 'ant' to ensure
+REM  the correct version is being used with the correct configuration.
+REM
+REM  NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM  ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris at jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM   with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+


Property changes on: branches/jbossws-2.0/build/build.bat
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/jbossws-2.0/build/build.conf.example
===================================================================
--- branches/jbossws-2.0/build/build.conf.example	                        (rev 0)
+++ branches/jbossws-2.0/build/build.conf.example	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,7 @@
+
+##
+## Build configuration
+##
+
+# Uncomment when using JDK 6
+USE_JDK6=true

Added: branches/jbossws-2.0/build/build.sh
===================================================================
--- branches/jbossws-2.0/build/build.sh	                        (rev 0)
+++ branches/jbossws-2.0/build/build.sh	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+##                                                                          ##
+##  This is the main entry point for the build system.                      ##
+##                                                                          ##
+##  Users should be sure to execute this file rather than 'ant' to ensure   ##
+##  the correct version is being used with the correct configuration.       ##
+##                                                                          ##
+##  NOTE: Uncomment the JDK6 property if you are running JDK 1.6        ##
+##                                                                          ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere at jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+    tools
+    tools/ant \
+    tools/apache/ant \
+    ant \
+    ../build/tools/ant \
+    ../../build/tools/ant \
+    ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+    CYGWIN*)
+        cygwin=true
+        ;;
+
+    Darwin*)
+        darwin=true
+        ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+    echo "${PROGNAME}: $*"
+    exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+    for file in $*; do
+	if [ -f "$file" ]; then
+	    . $file
+	fi
+    done
+}
+
+search() {
+    search="$*"
+    for d in $search; do
+	ANT_HOME="`pwd`/$d"
+	ANT="$ANT_HOME/bin/ant"
+	if [ -x "$ANT" ]; then
+	    # found one
+	    echo $ANT_HOME
+	    break
+	fi
+    done
+}
+
+#
+# Main function.
+#
+main() {
+    # if there is a build config file. then source it
+    maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+    # Increase the maximum file descriptors if we can
+    if [ $cygwin = "false" ]; then
+	MAX_FD_LIMIT=`ulimit -H -n`
+	if [ $? -eq 0 ]; then
+	    if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+		# use the system max
+		MAX_FD="$MAX_FD_LIMIT"
+	    fi
+
+	    ulimit -n $MAX_FD
+	    if [ $? -ne 0 ]; then
+		warn "Could not set maximum file descriptor limit: $MAX_FD"
+	    fi
+	else
+	    warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+	fi
+    fi
+
+    # try the search path
+    ANT_HOME=`search $ANT_SEARCH_PATH`
+
+    # try looking up to root
+    if [ "x$ANT_HOME" = "x" ]; then
+	target="build"
+	_cwd=`pwd`
+
+	while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+	    cd ..
+	    cwd=`pwd`
+	    ANT_HOME=`search $ANT_SEARCH_PATH`
+	done
+
+	# make sure we get back
+	cd $_cwd
+
+	if [ "$cwd" != "$ROOT" ]; then
+	    found="true"
+	fi
+
+	# complain if we did not find anything
+	if [ "$found" != "true" ]; then
+	    die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+	fi
+    fi
+
+    # make sure we have one
+    ANT=$ANT_HOME/bin/ant
+    if [ ! -x "$ANT" ]; then
+	die "Ant file is not executable: $ANT"
+    fi
+
+    # Set the max memory to 256m
+    ANT_OPTS=-Xmx256m
+
+	 if [ "x$USE_JDK6" = "xtrue" ]; then
+    	ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    	echo "Endorsed Directory: $ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    fi
+
+    # setup some build properties
+    ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+	  
+    # change to the directory where the script lives so users are not forced
+    # to be in the same directory as build.xml
+    cd $DIRNAME
+
+    # export some stuff for ant
+    export ANT ANT_HOME ANT_OPTS   
+    
+    # execute in debug mode, or simply execute
+    if [ "x$ANT_DEBUG" != "x" ]; then
+	/bin/sh -x $ANT $ANT_OPTIONS "$@"
+    else
+	exec $ANT $ANT_OPTIONS "$@"
+    fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"


Property changes on: branches/jbossws-2.0/build/build.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml
===================================================================
--- branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml	2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/integration/native/ant-import/build-bin-dist.xml	2007-06-20 10:31:17 UTC (rev 3654)
@@ -25,12 +25,14 @@
 		<property name="bindist.lib.dir" value="${bindist.dir}/lib"/>
 		<property name="bindist.docs.dir" value="${bindist.dir}/docs"/>
 		<property name="bindist.tests.dir" value="${bindist.dir}/tests"/>
+		<property name="bindist.tools.dir" value="${bindist.dir}/tools"/>
 
 		<delete dir="${bindist.dir}"/>
 		<mkdir dir="${bindist.build.dir}"/>
 		<mkdir dir="${bindist.bin.dir}"/>		
 		<mkdir dir="${bindist.docs.dir}"/>
 		<mkdir dir="${bindist.tests.dir}"/>
+		<mkdir dir="${bindist.tools.dir}"/>
 
 		<!-- root -->
 		<copy tofile="${bindist.dir}/ant.properties" file="${build.dir}/dist/ant.properties.example">
@@ -140,6 +142,18 @@
 			<fileset dir="${int.native.dir}/src/test"/>
 		</copy>
 
+		<!-- build tools -->
+		<copy todir="${bindist.tools.dir}" overwrite="true">
+			<fileset dir="${build.dir}/tools/ant"/>			
+		</copy>
+		<copy todir="${bindist.dir}" overwrite="true">
+			<fileset dir="${build.dir}">
+				<include name="build.bat"/>
+				<include name="build.sh"/>
+			</fileset>
+		</copy>
+		<chmod file="${bindist.dir}/build.sh" perm="+x"/>		
+
 		<zip destfile="${native.output.dir}/jbossws-native-${version.id}.zip">
 			<fileset dir="${native.output.dir}" includes="jbossws-native-${version.id}/**"/>
 		</zip>

Added: branches/jbossws-2.0/integration/native/build.bat
===================================================================
--- branches/jbossws-2.0/integration/native/build.bat	                        (rev 0)
+++ branches/jbossws-2.0/integration/native/build.bat	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+ at echo off
+
+REM  ======================================================================
+REM
+REM  This is the main entry point for the build system.
+REM
+REM  Users should be sure to execute this file rather than 'ant' to ensure
+REM  the correct version is being used with the correct configuration.
+REM
+REM  NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM  ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris at jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM   with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+


Property changes on: branches/jbossws-2.0/integration/native/build.bat
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/jbossws-2.0/integration/native/build.sh
===================================================================
--- branches/jbossws-2.0/integration/native/build.sh	                        (rev 0)
+++ branches/jbossws-2.0/integration/native/build.sh	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+##                                                                          ##
+##  This is the main entry point for the build system.                      ##
+##                                                                          ##
+##  Users should be sure to execute this file rather than 'ant' to ensure   ##
+##  the correct version is being used with the correct configuration.       ##
+##                                                                          ##
+##  NOTE: Uncomment the JDK6 property if you are running JDK 1.6        ##
+##                                                                          ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere at jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+    tools
+    tools/ant \
+    tools/apache/ant \
+    ant \
+    ../build/tools/ant \
+    ../../build/tools/ant \
+    ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+    CYGWIN*)
+        cygwin=true
+        ;;
+
+    Darwin*)
+        darwin=true
+        ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+    echo "${PROGNAME}: $*"
+    exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+    for file in $*; do
+	if [ -f "$file" ]; then
+	    . $file
+	fi
+    done
+}
+
+search() {
+    search="$*"
+    for d in $search; do
+	ANT_HOME="`pwd`/$d"
+	ANT="$ANT_HOME/bin/ant"
+	if [ -x "$ANT" ]; then
+	    # found one
+	    echo $ANT_HOME
+	    break
+	fi
+    done
+}
+
+#
+# Main function.
+#
+main() {
+    # if there is a build config file. then source it
+    maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+    # Increase the maximum file descriptors if we can
+    if [ $cygwin = "false" ]; then
+	MAX_FD_LIMIT=`ulimit -H -n`
+	if [ $? -eq 0 ]; then
+	    if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+		# use the system max
+		MAX_FD="$MAX_FD_LIMIT"
+	    fi
+
+	    ulimit -n $MAX_FD
+	    if [ $? -ne 0 ]; then
+		warn "Could not set maximum file descriptor limit: $MAX_FD"
+	    fi
+	else
+	    warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+	fi
+    fi
+
+    # try the search path
+    ANT_HOME=`search $ANT_SEARCH_PATH`
+
+    # try looking up to root
+    if [ "x$ANT_HOME" = "x" ]; then
+	target="build"
+	_cwd=`pwd`
+
+	while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+	    cd ..
+	    cwd=`pwd`
+	    ANT_HOME=`search $ANT_SEARCH_PATH`
+	done
+
+	# make sure we get back
+	cd $_cwd
+
+	if [ "$cwd" != "$ROOT" ]; then
+	    found="true"
+	fi
+
+	# complain if we did not find anything
+	if [ "$found" != "true" ]; then
+	    die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+	fi
+    fi
+
+    # make sure we have one
+    ANT=$ANT_HOME/bin/ant
+    if [ ! -x "$ANT" ]; then
+	die "Ant file is not executable: $ANT"
+    fi
+
+    # Set the max memory to 256m
+    ANT_OPTS=-Xmx256m
+
+	 if [ "x$USE_JDK6" = "xtrue" ]; then
+    	ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    	echo "Endorsed Directory: $ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    fi
+
+    # setup some build properties
+    ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+	  
+    # change to the directory where the script lives so users are not forced
+    # to be in the same directory as build.xml
+    cd $DIRNAME
+
+    # export some stuff for ant
+    export ANT ANT_HOME ANT_OPTS   
+    
+    # execute in debug mode, or simply execute
+    if [ "x$ANT_DEBUG" != "x" ]; then
+	/bin/sh -x $ANT $ANT_OPTIONS "$@"
+    else
+	exec $ANT $ANT_OPTIONS "$@"
+    fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"


Property changes on: branches/jbossws-2.0/integration/native/build.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml
===================================================================
--- branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml	2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/integration/spi/ant-import/macros-deploy-spi.xml	2007-06-20 10:31:17 UTC (rev 3654)
@@ -28,6 +28,9 @@
 				<fileset dir="@{spilibs}">
 					<include name="jbossws-spi.jar"/>
 				</fileset>
+				<fileset dir="@{thirdpartylibs}">
+					<include name="wsdl4j.jar"/>
+				</fileset>
 			</copy>
       
       <!-- SERVER JARS-->
@@ -52,6 +55,7 @@
         <!-- CLIENT JARS-->
 				<fileset dir="@{jbosshome}/client">
 					<include name="jbossws-spi.jar"/>
+					<include name="wsdl4j.jar"/>
 				</fileset>
         
         <!-- SERVER JARS-->
@@ -62,4 +66,4 @@
 		</sequential>
 	</macrodef>
 
-</project>
\ No newline at end of file
+</project>

Added: branches/jbossws-2.0/integration/spi/build.bat
===================================================================
--- branches/jbossws-2.0/integration/spi/build.bat	                        (rev 0)
+++ branches/jbossws-2.0/integration/spi/build.bat	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+ at echo off
+
+REM  ======================================================================
+REM
+REM  This is the main entry point for the build system.
+REM
+REM  Users should be sure to execute this file rather than 'ant' to ensure
+REM  the correct version is being used with the correct configuration.
+REM
+REM  NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM  ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris at jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM   with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+


Property changes on: branches/jbossws-2.0/integration/spi/build.bat
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/jbossws-2.0/integration/spi/build.sh
===================================================================
--- branches/jbossws-2.0/integration/spi/build.sh	                        (rev 0)
+++ branches/jbossws-2.0/integration/spi/build.sh	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+##                                                                          ##
+##  This is the main entry point for the build system.                      ##
+##                                                                          ##
+##  Users should be sure to execute this file rather than 'ant' to ensure   ##
+##  the correct version is being used with the correct configuration.       ##
+##                                                                          ##
+##  NOTE: Uncomment the JDK6 property if you are running JDK 1.6        ##
+##                                                                          ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere at jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+    tools
+    tools/ant \
+    tools/apache/ant \
+    ant \
+    ../build/tools/ant \
+    ../../build/tools/ant \
+    ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+    CYGWIN*)
+        cygwin=true
+        ;;
+
+    Darwin*)
+        darwin=true
+        ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+    echo "${PROGNAME}: $*"
+    exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+    for file in $*; do
+	if [ -f "$file" ]; then
+	    . $file
+	fi
+    done
+}
+
+search() {
+    search="$*"
+    for d in $search; do
+	ANT_HOME="`pwd`/$d"
+	ANT="$ANT_HOME/bin/ant"
+	if [ -x "$ANT" ]; then
+	    # found one
+	    echo $ANT_HOME
+	    break
+	fi
+    done
+}
+
+#
+# Main function.
+#
+main() {
+    # if there is a build config file. then source it
+    maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+    # Increase the maximum file descriptors if we can
+    if [ $cygwin = "false" ]; then
+	MAX_FD_LIMIT=`ulimit -H -n`
+	if [ $? -eq 0 ]; then
+	    if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+		# use the system max
+		MAX_FD="$MAX_FD_LIMIT"
+	    fi
+
+	    ulimit -n $MAX_FD
+	    if [ $? -ne 0 ]; then
+		warn "Could not set maximum file descriptor limit: $MAX_FD"
+	    fi
+	else
+	    warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+	fi
+    fi
+
+    # try the search path
+    ANT_HOME=`search $ANT_SEARCH_PATH`
+
+    # try looking up to root
+    if [ "x$ANT_HOME" = "x" ]; then
+	target="build"
+	_cwd=`pwd`
+
+	while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+	    cd ..
+	    cwd=`pwd`
+	    ANT_HOME=`search $ANT_SEARCH_PATH`
+	done
+
+	# make sure we get back
+	cd $_cwd
+
+	if [ "$cwd" != "$ROOT" ]; then
+	    found="true"
+	fi
+
+	# complain if we did not find anything
+	if [ "$found" != "true" ]; then
+	    die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+	fi
+    fi
+
+    # make sure we have one
+    ANT=$ANT_HOME/bin/ant
+    if [ ! -x "$ANT" ]; then
+	die "Ant file is not executable: $ANT"
+    fi
+
+    # Set the max memory to 256m
+    ANT_OPTS=-Xmx256m
+
+	 if [ "x$USE_JDK6" = "xtrue" ]; then
+    	ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    	echo "Endorsed Directory: $ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    fi
+
+    # setup some build properties
+    ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+	  
+    # change to the directory where the script lives so users are not forced
+    # to be in the same directory as build.xml
+    cd $DIRNAME
+
+    # export some stuff for ant
+    export ANT ANT_HOME ANT_OPTS   
+    
+    # execute in debug mode, or simply execute
+    if [ "x$ANT_DEBUG" != "x" ]; then
+	/bin/sh -x $ANT $ANT_OPTIONS "$@"
+    else
+	exec $ANT $ANT_OPTIONS "$@"
+    fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"


Property changes on: branches/jbossws-2.0/integration/spi/build.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml
===================================================================
--- branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml	2007-06-20 10:30:47 UTC (rev 3653)
+++ branches/jbossws-2.0/jbossws-core/ant-import-tests/build-testsuite.xml	2007-06-20 10:31:17 UTC (rev 3654)
@@ -77,7 +77,6 @@
     <taskdef name="wsconsume" classname="org.jboss.wsf.spi.tools.ant.WSConsumeTask">
        <classpath refid="ws.stack.classpath"/>
        <classpath location="${spi.dir}/output/lib/jbossws-spi.jar"/>
-       <classpath location="${core.dir}/thirdparty/jaxb-api.jar"/>
        <classpath location="${core.dir}/thirdparty/jaxb-xjc.jar"/>
        <classpath location="${core.dir}/thirdparty/jaxb-impl.jar"/>
        <classpath location="${core.dir}/thirdparty/jaxws-rt.jar"/>

Added: branches/jbossws-2.0/jbossws-core/build.bat
===================================================================
--- branches/jbossws-2.0/jbossws-core/build.bat	                        (rev 0)
+++ branches/jbossws-2.0/jbossws-core/build.bat	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,109 @@
+ at echo off
+
+REM  ======================================================================
+REM
+REM  This is the main entry point for the build system.
+REM
+REM  Users should be sure to execute this file rather than 'ant' to ensure
+REM  the correct version is being used with the correct configuration.
+REM
+REM  NOTE: Uncomment the USE_JDK6 property when using JDK 1.6
+REM
+REM  ======================================================================
+REM
+REM $Id: build.bat 61858 2007-03-29 17:19:26Z dimitris at jboss.org $
+
+REM ******************************************************
+REM Ignore the ANT_HOME variable: we want to use *our*
+REM ANT version and associated JARs.
+REM ******************************************************
+REM Ignore the users classpath, cause it might mess
+REM things up
+REM ******************************************************
+
+SETLOCAL
+
+set NOPAUSE=true
+set CLASSPATH=
+set ANT_HOME=
+
+set ANT_OPTS=-Xmx256m -Dbuild.script=build.bat
+
+REM ******************************************************
+REM JDK 6 Settings
+REM Uncomment when using JDK 6
+REM ******************************************************
+REM set USE_JDK6=true
+
+REM
+REM - "for" loops have been unrolled for compatibility
+REM   with some WIN32 systems.
+REM ******************************************************
+
+set NAMES=build\tools;build\tools\ant;build\tools\apache\ant
+set SUBFOLDERS=..;..\..;..\..\..;..\..\..\..
+
+REM ******************************************************
+REM ********Save the command line arguments***************
+REM ******************************************************
+set BUILD_ARGS=%1
+if ""%1""=="""" goto completedArgs
+shift
+:processArg
+if ""%1""=="""" goto completedArgs
+set BUILD_ARGS=%BUILD_ARGS% %1
+shift
+goto processArg
+
+:completedArgs
+
+REM ******************************************************
+REM ******************************************************
+
+SET EXECUTED=FALSE
+for %%i in (%NAMES%) do call :subLoop %%i %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ********* Search for names in the subfolders *********
+REM ******************************************************
+
+:subLoop
+for %%j in (%SUBFOLDERS%) do call :testIfExists %%j\%1\bin\ant.bat %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************ Test if ANT Batch file exists ***********
+REM ******************************************************
+
+:testIfExists
+if exist %1 call :BatchFound %1 %BUILD_ARGS%
+
+goto :EOF
+
+REM ******************************************************
+REM ************** Batch file has been found *************
+REM ******************************************************
+
+:BatchFound
+if (%EXECUTED%)==(FALSE) call :ExecuteBatch %1 %BUILD_ARGS%
+set EXECUTED=TRUE
+
+goto :EOF
+
+REM ******************************************************
+REM ************* Execute Batch file only once ***********
+REM ******************************************************
+
+:ExecuteBatch
+echo Calling %1 %BUILD_ARGS%
+
+REM set ENDORSED=
+call %1 %BUILD_ARGS%
+
+:end
+
+if "%NOPAUSE%" == "" pause
+


Property changes on: branches/jbossws-2.0/jbossws-core/build.bat
___________________________________________________________________
Name: svn:executable
   + *

Added: branches/jbossws-2.0/jbossws-core/build.sh
===================================================================
--- branches/jbossws-2.0/jbossws-core/build.sh	                        (rev 0)
+++ branches/jbossws-2.0/jbossws-core/build.sh	2007-06-20 10:31:17 UTC (rev 3654)
@@ -0,0 +1,187 @@
+#!/bin/sh
+### ====================================================================== ###
+##                                                                          ##
+##  This is the main entry point for the build system.                      ##
+##                                                                          ##
+##  Users should be sure to execute this file rather than 'ant' to ensure   ##
+##  the correct version is being used with the correct configuration.       ##
+##                                                                          ##
+##  NOTE: Uncomment the JDK6 property if you are running JDK 1.6        ##
+##                                                                          ##
+### ====================================================================== ###
+
+# $Id: build.sh 60589 2007-02-16 16:37:13Z jfrederic.clere at jboss.com $
+
+PROGNAME=`basename $0`
+DIRNAME=`dirname $0`
+GREP="grep"
+ROOT="/"
+
+# Ignore user's ANT_HOME if it is set
+ANT_HOME=""
+
+# Uncomment when using JDK 6
+#USE_JDK6=true
+
+# the default search path for ant
+ANT_SEARCH_PATH="\
+    tools
+    tools/ant \
+    tools/apache/ant \
+    ant \
+    ../build/tools/ant \
+    ../../build/tools/ant \
+    ../../../build/tools/ant "
+
+# the default build file name
+ANT_BUILD_FILE="build.xml"
+
+# the default arguments
+ANT_OPTIONS="--noconfig -find $ANT_BUILD_FILE"
+
+# Use the maximum available, or set MAX_FD != -1 to use that
+MAX_FD="maximum"
+
+# OS specific support (must be 'true' or 'false').
+cygwin=false;
+darwin=false;
+case "`uname`" in
+    CYGWIN*)
+        cygwin=true
+        ;;
+
+    Darwin*)
+        darwin=true
+        ;;
+esac
+
+#
+# Helper to complain.
+#
+die() {
+    echo "${PROGNAME}: $*"
+    exit 1
+}
+
+#
+# Helper to complain.
+#
+warn() {
+    echo "${PROGNAME}: $*"
+}
+
+#
+# Helper to source a file if it exists.
+#
+maybe_source() {
+    for file in $*; do
+	if [ -f "$file" ]; then
+	    . $file
+	fi
+    done
+}
+
+search() {
+    search="$*"
+    for d in $search; do
+	ANT_HOME="`pwd`/$d"
+	ANT="$ANT_HOME/bin/ant"
+	if [ -x "$ANT" ]; then
+	    # found one
+	    echo $ANT_HOME
+	    break
+	fi
+    done
+}
+
+#
+# Main function.
+#
+main() {
+    # if there is a build config file. then source it
+    maybe_source "$DIRNAME/build.conf" "../build/build.conf" "../../build/build.conf" "../../../build/build.conf"
+
+    # Increase the maximum file descriptors if we can
+    if [ $cygwin = "false" ]; then
+	MAX_FD_LIMIT=`ulimit -H -n`
+	if [ $? -eq 0 ]; then
+	    if [ "$MAX_FD" = "maximum" -o "$MAX_FD" = "max" ]; then
+		# use the system max
+		MAX_FD="$MAX_FD_LIMIT"
+	    fi
+
+	    ulimit -n $MAX_FD
+	    if [ $? -ne 0 ]; then
+		warn "Could not set maximum file descriptor limit: $MAX_FD"
+	    fi
+	else
+	    warn "Could not query system maximum file descriptor limit: $MAX_FD_LIMIT"
+	fi
+    fi
+
+    # try the search path
+    ANT_HOME=`search $ANT_SEARCH_PATH`
+
+    # try looking up to root
+    if [ "x$ANT_HOME" = "x" ]; then
+	target="build"
+	_cwd=`pwd`
+
+	while [ "x$ANT_HOME" = "x" ] && [ "$cwd" != "$ROOT" ]; do
+	    cd ..
+	    cwd=`pwd`
+	    ANT_HOME=`search $ANT_SEARCH_PATH`
+	done
+
+	# make sure we get back
+	cd $_cwd
+
+	if [ "$cwd" != "$ROOT" ]; then
+	    found="true"
+	fi
+
+	# complain if we did not find anything
+	if [ "$found" != "true" ]; then
+	    die "Could not locate Ant; check \$ANT or \$ANT_HOME."
+	fi
+    fi
+
+    # make sure we have one
+    ANT=$ANT_HOME/bin/ant
+    if [ ! -x "$ANT" ]; then
+	die "Ant file is not executable: $ANT"
+    fi
+
+    # Set the max memory to 256m
+    ANT_OPTS=-Xmx256m
+
+	 if [ "x$USE_JDK6" = "xtrue" ]; then
+    	ANT_OPTS="$ANT_OPTS -Djava.endorsed.dirs=$ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    	echo "Endorsed Directory: $ANT_HOME/endorsed"
+    	echo "--------------------------------------"
+    fi
+
+    # setup some build properties
+    ANT_OPTS="$ANT_OPTS -Dbuild.script=$0"
+	  
+    # change to the directory where the script lives so users are not forced
+    # to be in the same directory as build.xml
+    cd $DIRNAME
+
+    # export some stuff for ant
+    export ANT ANT_HOME ANT_OPTS   
+    
+    # execute in debug mode, or simply execute
+    if [ "x$ANT_DEBUG" != "x" ]; then
+	/bin/sh -x $ANT $ANT_OPTIONS "$@"
+    else
+	exec $ANT $ANT_OPTIONS "$@"
+    fi
+}
+
+##
+## Bootstrap
+##
+
+main "$@"


Property changes on: branches/jbossws-2.0/jbossws-core/build.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the jbossws-commits mailing list